﻿
/* Syncfusion tabs */

/* frame completo per il tab */
.e-tab-custom-class.e-tab .e-content {
    border: 1px solid rgba(0,0,0,.125);
    border-bottom: 1px solid white;
    border-radius: 5px 5px 0 0;
}

.e-tab-custom-class.header-top-custom.e-tab .e-content {
    border: 1px solid rgba(0,0,0,.125);
    border-top: 1px solid transparent;
    border-radius: 0 0 5px 5px;
}

/* header */
.e-tab-custom-class.e-tab .e-tab-header .e-toolbar-items,
.e-tab-custom-class.e-tab .e-tab-header .e-toolbar-items .e-toolbar-item {
    height: 42px !important;
}

.e-tab-custom-class .e-tab .e-tab-header .e-toolbar-item .e-tab-text {
    padding: 0 15px;
}

.e-tab-custom-class.e-tab .e-tab-header .e-toolbar-item .e-tab-wrap,
.e-tab-custom-class.e-tab .e-tab-header .e-toolbar-item .e-text-wrap,
.e-tab-custom-class.e-tab .e-tab-header .e-toolbar-item.e-active .e-text-wrap {
    height: 42px !important;
}
/* END Syncfusion tabs */

/* Datetimepicker e Timepicker */
.e-input-group.e-control-wrapper.e-datetime-wrapper input,
.e-input-group.e-control-wrapper.e-date-wrapper input,
.e-input-group.e-control-container.e-control-wrapper input,
.e-ddl.e-lib.e-input-group.e-control-container.e-control-wrapper input,
.e-input-group.e-control-wrapper.e-valid-input.e-time-wrapper input, .e-control.e-numerictextbox.e-lib.e-input {
    height: calc(1.5em + .75rem + 2px) !important;
}

.custom-endTime .e-input-group.e-control-wrapper.e-valid-input.e-datetime-wrapper .e-input-group-icon.e-date-icon.e-icons {
    display: none
}
/* */

.common-panel-container > div {
    z-index: 1;
}

.e-panel-header {
    background-color: rgba(0, 0, 0, .1) !important;
    font-weight: 600 !important;
}

.e-schedule-dialog, .e-custom-dialog {
    width: 800px !important;
}

@media only screen and (max-width: 768px) {
    .e-schedule-dialog, .e-custom-dialog {
        width: 90vw !important;
    }
}

.numeric-custom-class.e-control-wrapper .e-numerictextbox {
    text-align: right;
    padding-right: 8px !important;
}


.bootstrap tr.e-columnheader > th {
    background-color: var(--grid-header-custom-background-color) !important;
}

/* Scheduler custom */

/* Custom Quick info */
.custom-quick-info-header {
    padding: 0 0.5rem 0.5rem;
    font-size: 1.25rem;
}

    .custom-quick-info-header > div {
        border-left: 5px solid;
        padding: 5px 10px;
        border-radius: 5px;
    }

.custom-event-content {
    font-size: 0.80rem;
}

.custom-event-footer {
}

.lessons-custom-scheduler .e-quick-popup-wrapper .e-event-popup .e-popup-content,
.lessons-custom-scheduler .e-quick-popup-wrapper .e-cell-popup .e-popup-content {
    padding: 0 15px;
}
/* END Scheduler custom */

/* Custom Grid */
.e-pagerexternalmsg {
    display: none !important;
}

.sf-grid.e-grid {
    display: flex !important;
    flex-flow: column !important;
}

    .sf-grid.e-grid .e-gridheader {
        flex: 0 1 auto;
        border-bottom-color: #dee2e6;
    }

    .sf-grid.e-grid .e-gridcontent {
        flex: 1 100 auto;
    }

        .sf-grid.e-grid .e-gridcontent .e-row .e-rowcell {
            position: relative;
        }

            .sf-grid.e-grid .e-gridcontent .e-row .e-rowcell:before {
                content: '\A';
                position: absolute;
                width: 100%;
                height: 100%;
                top: 0;
                left: 0;
                background: var(--grid-row-selection-background-color);
                opacity: 0;
            }

        .e-grid.e-gridhover tr[role="row"]:not(.e-disable-gridhover):not(.e-editedrow):not(.e-detailrow):hover .e-rowcell:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell):before,
        .sf-grid.e-grid .e-gridcontent .e-row td.e-active.e-rowcell:before {
            opacity: 1;
        }

.e-grid.e-gridhover tr[role="row"]:not(.e-disable-gridhover):not(.e-editedrow):not(.e-detailrow):hover .e-rowcell:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell),
.e-grid.e-gridhover tr[role="row"]:not(.e-disable-gridhover):not(.e-detailrow):hover .e-detailrowcollapse:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell),
.e-grid.e-gridhover tr[role="row"]:not(.e-disable-gridhover):hover .e-rowdragdrop:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell),
.e-grid.e-rtl .e-gridhover tr[role="row"]:not(.e-disable-gridhover):hover .e-rowdragdrop:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell),
.e-grid.e-gridhover tr[role="row"]:not(.e-disable-gridhover):not(.e-detailrow):hover .e-detailrowexpand:not(.e-cellselectionbackground):not(.e-active):not(.e-updatedtd):not(.e-indentcell),
.e-grid td.e-active {
    background: transparent !important;
}

.common-grid-container .e-grid .e-groupcaption {
    overflow: unset !important;
    text-overflow: unset !important;
}
/* END Custom Grid*/
/* Custom ListView */
.listview-grid-layout.e-listview .e-list-item {
    float: left;
    width: 33.33%;
    height: auto;
}

.listview-5-column-grid-layout.e-listview .e-list-item {
    float: left;
    width: 20%;
    height: auto;
}
/* END Custom ListView*/

.e-control-wrapper.conversion .e-textbox {
    text-transform: uppercase;
}

/* col-lg */
@media only screen and (max-width: 1200px) {
    .listview-5-column-grid-layout.e-listview .e-list-item,
    .listview-grid-layout.e-listview .e-list-item {
        width: 33.33%;
    }
}
/* col-md */
@media only screen and (max-width: 992px) {
    .listview-5-column-grid-layout.e-listview .e-list-item,
    .listview-grid-layout.e-listview .e-list-item {
        width: 50%;
    }
}
/* col, col-sm */
@media only screen and (max-width: 768px) {
    .listview-5-column-grid-layout.e-listview .e-list-item,
    .listview-grid-layout.e-listview .e-list-item {
        width: 100%;
    }
}
